package com.zcloud.fire.check.domain.enums;

import lombok.Getter;

/**
 * 是否检查过0已经检查1未检查，2已打回
 */
@Getter
public enum FireCheckRecordPointCheckedFlagEnum {
    CHECKED(0,"已检查"),
    UNCHECKED(1,"未检查"),
    REJECTED(2,"已打回"),
    ;
    private final Integer code;
    private final String name;

        FireCheckRecordPointCheckedFlagEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
    //判断code是否存在
    public static boolean contains(Integer code) {
        for (FireCheckRecordPointCheckedFlagEnum fireRegionStateEnum : FireCheckRecordPointCheckedFlagEnum.values()) {
            if (fireRegionStateEnum.getCode().equals(code)) {
                return true;
            }
        }
        return false;
    }
}
